## GDataPicasaWebFile GDataPicasaWebFile — GData PicasaWeb file object |

## Stability Level

Unstable, unless otherwise indicated

## Functions

GDataPicasaWebFile * | gdata_picasaweb_file_new ()
const gchar * | gdata_picasaweb_file_get_id ()
gint64 | gdata_picasaweb_file_get_edited ()
const gchar * | gdata_picasaweb_file_get_version ()
const gchar * | gdata_picasaweb_file_get_album_id ()
void | gdata_picasaweb_file_set_album_id ()
guint | gdata_picasaweb_file_get_width ()
guint | gdata_picasaweb_file_get_height ()
gsize | gdata_picasaweb_file_get_size ()
const gchar * | gdata_picasaweb_file_get_checksum ()
void | gdata_picasaweb_file_set_checksum ()
gint64 | gdata_picasaweb_file_get_timestamp ()
void | gdata_picasaweb_file_set_timestamp ()
gboolean | gdata_picasaweb_file_is_commenting_enabled ()
void | gdata_picasaweb_file_set_is_commenting_enabled ()
guint | gdata_picasaweb_file_get_comment_count ()
guint | gdata_picasaweb_file_get_rotation ()
void | gdata_picasaweb_file_set_rotation ()
const gchar * | gdata_picasaweb_file_get_video_status ()
const gchar * const * | gdata_picasaweb_file_get_tags ()
void | gdata_picasaweb_file_set_tags ()
const gchar * | gdata_picasaweb_file_get_credit ()
const gchar * | gdata_picasaweb_file_get_caption ()
void | gdata_picasaweb_file_set_caption ()
GList * | gdata_picasaweb_file_get_contents ()
GList * | gdata_picasaweb_file_get_thumbnails ()
gdouble | gdata_picasaweb_file_get_distance ()
gdouble | gdata_picasaweb_file_get_exposure ()
gboolean | gdata_picasaweb_file_get_flash ()
gdouble | gdata_picasaweb_file_get_focal_length ()
gdouble | gdata_picasaweb_file_get_fstop ()
const gchar * | gdata_picasaweb_file_get_image_unique_id ()
gint | gdata_picasaweb_file_get_iso ()
const gchar * | gdata_picasaweb_file_get_make ()
const gchar * | gdata_picasaweb_file_get_model ()
void | gdata_picasaweb_file_get_coordinates ()
void | gdata_picasaweb_file_set_coordinates ()

## Properties

gchar * | album-id | Read / Write
gchar * | caption | Read / Write
gchar * | checksum | Read / Write
guint | comment-count | Read
gchar * | credit | Read
gdouble | distance | Read
gint64 | edited | Read
gdouble | exposure | Read
gchar * | file-id | Read / Write / Construct Only
gboolean | flash | Read
gdouble | focal-length | Read
gdouble | fstop | Read
guint | height | Read
gchar * | image-unique-id | Read
gboolean | is-commenting-enabled | Read / Write
glong | iso | Read
gdouble | latitude | Read / Write
gdouble | longitude | Read / Write
gchar * | make | Read
gchar * | model | Read
guint | rotation | Read / Write
gulong | size | Read
GStrv | tags | Read / Write
gint64 | timestamp | Read / Write
gchar * | version | Read / Write / Construct Only
gchar * | video-status | Read
guint | width | Read

## Types and Values

#define | GDATA_PICASAWEB_VIDEO_STATUS_PENDING
#define | GDATA_PICASAWEB_VIDEO_STATUS_READY
#define | GDATA_PICASAWEB_VIDEO_STATUS_FINAL
#define | GDATA_PICASAWEB_VIDEO_STATUS_FAILED
| GDataPicasaWebFile
| GDataPicasaWebFileClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataEntry
                ╰── GDataPicasaWebFile

## Implemented Interfaces

GDataPicasaWebFile implements GDataCommentable.

## Includes

    #include <gdata/services/picasaweb/gdata-picasaweb-file.h>

## Description

GDataPicasaWebFile is a subclass of GDataEntry to represent a file (photo or video) in an album on Google PicasaWeb.

GDataPicasaWebFile implements GDataCommentable, allowing comments on files to be queried using `gdata_commentable_query_comments()`, new comments to be added to files using `gdata_commentable_insert_comment()` and existing comments to be deleted from files using `gdata_commentable_delete_comment()`.

For more details of Google PicasaWeb's GData API, see the

online documentation.

Example 41. Getting Basic Photo Data

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44
    45
    46
    47
    48
    49
    50
    GDataFeed *photo_feed;
    GList *photo_entries;

    /* Query for a feed of GDataPicasaWebFiles belonging to the given GDataPicasaWebAlbum album */
    photo_feed = gdata_picasaweb_service_query_files (service, album, NULL, NULL, NULL, NULL, NULL);

    /* Get a list of GDataPicasaWebFiles from the query's feed */
    for (photo_entries = gdata_feed_get_entries (photo_feed); photo_entries != NULL; photo_entries = photo_entries->next) {
        GDataPicasaWebFile *photo;
        guint height, width;
        gsize file_size;
        gint64 timestamp;
        const gchar *title, *summary;
        GList *contents;

        photo = GDATA_PICASAWEB_FILE (photo_entries->data);

        /* Get various bits of information about the photo */
        height = gdata_picasaweb_file_get_height (photo);
        width = gdata_picasaweb_file_get_width (photo);
        file_size = gdata_picasaweb_file_get_size (photo);
        timestamp = gdata_picasaweb_file_get_timestamp (photo);
        title = gdata_entry_get_title (GDATA_ENTRY (photo));
        summary = gdata_entry_get_summary (GDATA_ENTRY (photo));

        /* Obtain the image data at various sizes */
        for (contents = gdata_picasaweb_file_get_contents (photo); contents != NULL; contents = contents->next) {
            GDataMediaContent *content;
            GDataDownloadStream *download_stream;
            GFileOutputStream *file_stream;
            GFile *new_file;

            content = GDATA_MEDIA_CONTENT (contents->data);
            /* Do something fun with the actual images, like download them to a file.
             * Note that this is a blocking operation. */
            download_stream = gdata_media_content_download (content, GDATA_SERVICE (service), NULL, NULL);
            new_file = g_file_new_for_path (file_path);
            file_stream = g_file_create (new_file, G_FILE_CREATE_NONE, NULL, NULL);
            g_output_stream_splice (G_OUTPUT_STREAM (file_stream), G_INPUT_STREAM (download_stream),
                                    G_OUTPUT_STREAM_SPLICE_CLOSE_SOURCE | G_OUTPUT_STREAM_SPLICE_CLOSE_TARGET, NULL, NULL);
            g_object_unref (file_stream);
            g_object_unref (download_stream);
            /* ... */
            g_object_unref (new_file);
        }

        /* Do something worthwhile with your image data */
    }

    g_object_unref (photo_feed);

## Functions

### gdata_picasaweb_file_new ()

    GDataPicasaWebFile *
    gdata_picasaweb_file_new (const gchar *id);

Creates a new GDataPicasaWebFile with the given ID and default properties.

#### Parameters

id | the file's ID, or `NULL`. | [allow-none]

#### Returns

a new GDataPicasaWebFile; unref with `g_object_unref()`

Since 0.4.0

### gdata_picasaweb_file_get_id ()

    const gchar *
    gdata_picasaweb_file_get_id (GDataPicasaWebFile *self);

Gets the “file-id” property.

#### Parameters

self | a GDataPicasaWebFile |

#### Returns

the file's ID

Since 0.7.0

### gdata_picasaweb_file_get_edited ()

    gint64
    gdata_picasaweb_file_get_edited (GDataPicasaWebFile *self);

Gets the “edited” property. If the property is unset, `-1` will be returned.

#### Parameters

self | a GDataPicasaWebFile |

#### Returns

the UNIX timestamp for the time the file was last edited, or `-1`

Since 0.4.0

### gdata_picasaweb_file_get_version ()

    const gchar *
    gdata_picasaweb_file_get_version (GDataPicasaWebFile *self);

Gets the “version” property.

#### Parameters

self | a GDataPicasaWebFile |

#### Returns

the file's version number, or `NULL`

Since 0.4.0

### gdata_picasaweb_file_get_album_id ()

    const gchar *
    gdata_picasaweb_file_get_album_id (GDataPicasaWebFile *self);

Gets the “album-id” property. This is in the same form as returned by `gdata_picasaweb_album_get_id()`.

#### Parameters

self | a GDataPicasaWebFile |

#### Returns

the ID of the album containing the GDataPicasaWebFile

Since 0.4.0

### gdata_picasaweb_file_set_album_id ()

    void
    gdata_picasaweb_file_set_album_id (GDataPicasaWebFile *self,
                                       const gchar *album_id);

Sets the “album-id” property, effectively moving the file to the album.

#### Parameters

self | a GDataPicasaWebFile |
album_id | the ID of the new album for this file |

Since 0.4.0

### gdata_picasaweb_file_get_width ()

    guint
    gdata_picasaweb_file_get_width (GDataPicasaWebFile *self);

Gets the “width” property.

#### Parameters

self | a GDataPicasaWebFile |

#### Returns

the width of the image or video, in pixels

Since 0.4.0

### gdata_picasaweb_file_get_height ()

    guint
    gdata_picasaweb_file_get_height (GDataPicasaWebFile *self);

Gets the “height” property.

#### Parameters

self | a GDataPicasaWebFile |

#### Returns

the height of the image or video, in pixels

Since 0.4.0

### gdata_picasaweb_file_get_size ()

    gsize
    gdata_picasaweb_file_get_size (GDataPicasaWebFile *self);

Gets the “size” property.

#### Parameters

self | a GDataPicasaWebFile |

#### Returns

the size of the file, in bytes

Since 0.4.0

### gdata_picasaweb_file_get_checksum ()

    const gchar *
    gdata_picasaweb_file_get_checksum (GDataPicasaWebFile *self);

Gets the “checksum” property.

#### Parameters

self | a GDataPicasaWebFile |

#### Returns

the checksum assigned to this file, or `NULL`

Since 0.4.0

### gdata_picasaweb_file_set_checksum ()

    void
    gdata_picasaweb_file_set_checksum (GDataPicasaWebFile *self,
                                       const gchar *checksum);

Sets the “checksum” property to `checksum` .

Set `checksum` to `NULL` to unset the property.

#### Parameters

self | a GDataPicasaWebFile |
checksum | the new checksum for this file, or `NULL`. | [allow-none]

Since 0.4.0

### gdata_picasaweb_file_get_timestamp ()

    gint64
    gdata_picasaweb_file_get_timestamp (GDataPicasaWebFile *self);

Gets the “timestamp” property. It's a UNIX timestamp in milliseconds (not seconds) since the epoch. If the property is unset,

`-1` will be returned.

#### Parameters

self | a GDataPicasaWebFile |

#### Returns

the UNIX timestamp for the timestamp property in milliseconds, or `-1`

Since 0.4.0

### gdata_picasaweb_file_set_timestamp ()

    void
    gdata_picasaweb_file_set_timestamp (GDataPicasaWebFile *self,
                                        gint64 timestamp);

Sets the “timestamp” property from `timestamp` . This should be a UNIX timestamp in milliseconds (not seconds) since the epoch. If `timestamp` is `-1`, the property will be unset.

#### Parameters

self | a GDataPicasaWebFile |
timestamp | a UNIX timestamp, or `-1` |

Since 0.4.0

### gdata_picasaweb_file_is_commenting_enabled ()

    gboolean
    gdata_picasaweb_file_is_commenting_enabled
                                   (GDataPicasaWebFile *self);

Gets the “is-commenting-enabled” property.

#### Parameters

self | a GDataPicasaWebFile |

#### Returns

`TRUE` if commenting is enabled, `FALSE` otherwise

Since 0.4.0

### gdata_picasaweb_file_set_is_commenting_enabled ()

    void
    gdata_picasaweb_file_set_is_commenting_enabled
                                   (GDataPicasaWebFile *self,
                                    gboolean is_commenting_enabled);

Sets the “is-commenting-enabled” property to `is_commenting_enabled` .

#### Parameters

self | a GDataPicasaWebFile |
is_commenting_enabled | `TRUE` if commenting should be enabled for the file, `FALSE` otherwise |

Since 0.4.0

### gdata_picasaweb_file_get_comment_count ()

    guint
    gdata_picasaweb_file_get_comment_count
                                   (GDataPicasaWebFile *self);

Gets the “comment-count” property.

#### Parameters

self | a GDataPicasaWebFile |

#### Returns

the number of comments on the file

Since 0.4.0

### gdata_picasaweb_file_get_rotation ()

    guint
    gdata_picasaweb_file_get_rotation (GDataPicasaWebFile *self);

Gets the “rotation” property.

#### Parameters

self | a GDataPicasaWebFile |

#### Returns

the image's rotation, in degrees

Since 0.4.0

### gdata_picasaweb_file_set_rotation ()

    void
    gdata_picasaweb_file_set_rotation (GDataPicasaWebFile *self,
                                       guint rotation);

Sets the “rotation” property to `rotation` .

The rotation is absolute, rather than cumulative, through successive calls to `gdata_picasaweb_file_set_rotation()`, so calling it with 90° then 20° will result in a final rotation of 20°.

#### Parameters

self | a GDataPicasaWebFile |
rotation | the new rotation for the image, in degrees |

Since 0.4.0

### gdata_picasaweb_file_get_video_status ()

    const gchar *
    gdata_picasaweb_file_get_video_status (GDataPicasaWebFile *self);

Gets the “video-status” property.

#### Parameters

self | a GDataPicasaWebFile |

#### Returns

the status of this video ("pending", "ready", "final" or "failed"), or `NULL`

Since 0.4.0

### gdata_picasaweb_file_get_tags ()

    const gchar * const *
    gdata_picasaweb_file_get_tags (GDataPicasaWebFile *self);

Gets the “tags” property.

#### Parameters

self | a GDataPicasaWebFile |

#### Returns

a `NULL`-terminated array of tags associated with the file, or `NULL`.

[array zero-terminated=1][transfer none]

Since 0.4.0

### gdata_picasaweb_file_set_tags ()

    void
    gdata_picasaweb_file_set_tags (GDataPicasaWebFile *self,
                                   const gchar * const *tags);

Sets the “tags” property to `tags` .

Set `tags` to `NULL` to unset the property.

#### Parameters

self | a GDataPicasaWebFile |
tags | a new `NULL`-terminated array of tags, or `NULL`. | [array zero-terminated=1][allow-none]

Since 0.4.0

### gdata_picasaweb_file_get_credit ()

    const gchar *
    gdata_picasaweb_file_get_credit (GDataPicasaWebFile *self);

Gets the “credit” property.

#### Parameters

self | a GDataPicasaWebFile |

#### Returns

the nickname of the user credited with this file

Since 0.4.0

### gdata_picasaweb_file_get_caption ()

    const gchar *
    gdata_picasaweb_file_get_caption (GDataPicasaWebFile *self);

Gets the “caption” property.

#### Parameters

self | a GDataPicasaWebFile |

#### Returns

the file's descriptive caption, or `NULL`

Since 0.4.0

### gdata_picasaweb_file_set_caption ()

    void
    gdata_picasaweb_file_set_caption (GDataPicasaWebFile *self,
                                      const gchar *caption);

Sets the “caption” property to `caption` .

Set `caption` to `NULL` to unset the file's caption.

#### Parameters

self | a GDataPicasaWebFile |
caption | the file's new caption, or `NULL`. | [allow-none]

Since 0.4.0

### gdata_picasaweb_file_get_contents ()

    GList *
    gdata_picasaweb_file_get_contents (GDataPicasaWebFile *self);

Returns a list of media content, e.g. the actual photo or video.

#### Parameters

self | a GDataPicasaWebFile |

#### Returns

a GList of GDataMediaContent items.

[element-type GData.MediaContent][transfer none]

Since 0.4.0

### gdata_picasaweb_file_get_thumbnails ()

    GList *
    gdata_picasaweb_file_get_thumbnails (GDataPicasaWebFile *self);

Returns a list of thumbnails, often at different sizes, for this file. Currently, PicasaWeb usually returns three thumbnails, with widths in pixels of 72, 144, and 288. However, the thumbnail will not be larger than the actual image, so thumbnails may be smaller than the widths listed above.

#### Parameters

self | a GDataPicasaWebFile |

#### Returns

a GList of GDataMediaThumbnails, or `NULL`.

[element-type GData.MediaThumbnail][transfer none]

Since 0.4.0

### gdata_picasaweb_file_get_distance ()

    gdouble
    gdata_picasaweb_file_get_distance (GDataPicasaWebFile *self);

Gets the “distance” property.

#### Parameters

self | a GDataPicasaWebFile |

#### Returns

the distance recorded in the photo's EXIF, or `-1` if unknown

Since 0.5.0

### gdata_picasaweb_file_get_exposure ()

    gdouble
    gdata_picasaweb_file_get_exposure (GDataPicasaWebFile *self);

Gets the “exposure” property.

#### Parameters

self | a GDataPicasaWebFile |

#### Returns

the exposure value, or `0` if unknown

Since 0.5.0

### gdata_picasaweb_file_get_flash ()

    gboolean
    gdata_picasaweb_file_get_flash (GDataPicasaWebFile *self);

Gets the “flash” property.

#### Parameters

self | a GDataPicasaWebFile |

#### Returns

`TRUE` if flash was used, `FALSE` otherwise

Since 0.5.0

### gdata_picasaweb_file_get_focal_length ()

    gdouble
    gdata_picasaweb_file_get_focal_length (GDataPicasaWebFile *self);

Gets the “focal-length” property.

#### Parameters

self | a GDataPicasaWebFile |

#### Returns

the focal-length value, or `-1` if unknown

Since 0.5.0

### gdata_picasaweb_file_get_fstop ()

    gdouble
    gdata_picasaweb_file_get_fstop (GDataPicasaWebFile *self);

Gets the “fstop” property.

#### Parameters

self | a GDataPicasaWebFile |

#### Returns

the F-stop value, or `0` if unknown

Since 0.5.0

### gdata_picasaweb_file_get_image_unique_id ()

    const gchar *
    gdata_picasaweb_file_get_image_unique_id
                                   (GDataPicasaWebFile *self);

Gets the “image-unique-id” property.

#### Parameters

self | a GDataPicasaWebFile |

#### Returns

the photo's unique EXIF identifier, or `NULL`

Since 0.5.0

### gdata_picasaweb_file_get_iso ()

    gint
    gdata_picasaweb_file_get_iso (GDataPicasaWebFile *self);

Gets the “iso” property.

#### Parameters

self | a GDataPicasaWebFile |

#### Returns

the ISO speed, or `-1` if unknown

Since 0.5.0

### gdata_picasaweb_file_get_make ()

    const gchar *
    gdata_picasaweb_file_get_make (GDataPicasaWebFile *self);

Gets the “make” property.

#### Parameters

self | a GDataPicasaWebFile |

#### Returns

the name of the manufacturer of the camera, or `NULL` if unknown

Since 0.5.0

### gdata_picasaweb_file_get_model ()

    const gchar *
    gdata_picasaweb_file_get_model (GDataPicasaWebFile *self);

Gets the “model” property.

#### Parameters

self | a GDataPicasaWebFile |

#### Returns

the model name of the camera, or `NULL` if unknown

Since 0.5.0

### gdata_picasaweb_file_get_coordinates ()

    void
    gdata_picasaweb_file_get_coordinates (GDataPicasaWebFile *self,
                                          gdouble *latitude,
                                          gdouble *longitude);

Gets the “latitude” and “longitude” properties, setting the out parameters to them. If either latitude or longitude is `NULL`, that parameter will not be set. If the coordinates are unset, `latitude` and `longitude` will be set to `G_MAXDOUBLE`.

#### Parameters

self | a GDataPicasaWebFile |
latitude | return location for the latitude, or `NULL`. | [out caller-allocates][allow-none]
longitude | return location for the longitude, or `NULL`. | [out caller-allocates][allow-none]

Since 0.5.0

### gdata_picasaweb_file_set_coordinates ()

    void
    gdata_picasaweb_file_set_coordinates (GDataPicasaWebFile *self,
                                          gdouble latitude,
                                          gdouble longitude);

Sets the “latitude” and “longitude” properties to `latitude` and `longitude` respectively.

#### Parameters

self | a GDataPicasaWebFile |
latitude | the file's new latitude coordinate, or `G_MAXDOUBLE` |
longitude | the file's new longitude coordinate, or `G_MAXDOUBLE` |

Since 0.5.0

## Types and Values

### GDATA_PICASAWEB_VIDEO_STATUS_PENDING

    #define GDATA_PICASAWEB_VIDEO_STATUS_PENDING "pending"

The video is still being processed.

Since 0.7.0

### GDATA_PICASAWEB_VIDEO_STATUS_READY

    #define GDATA_PICASAWEB_VIDEO_STATUS_READY "ready"

The video has been processed, but still needs thumbnailing.

Since 0.7.0

### GDATA_PICASAWEB_VIDEO_STATUS_FINAL

    #define GDATA_PICASAWEB_VIDEO_STATUS_FINAL "final"

The video has been processed and thumbnailed.

Since 0.7.0

### GDATA_PICASAWEB_VIDEO_STATUS_FAILED

    #define GDATA_PICASAWEB_VIDEO_STATUS_FAILED "failed"

There was an error while processing or thumbnailing the video and it should be deleted.

Since 0.7.0

### GDataPicasaWebFile

    typedef struct _GDataPicasaWebFile GDataPicasaWebFile;

All the fields in the GDataPicasaWebFile structure are private and should never be accessed directly.

Since 0.4.0

### GDataPicasaWebFileClass

    typedef struct {
    } GDataPicasaWebFileClass;

All the fields in the GDataPicasaWebFileClass structure are private and should never be accessed directly.

Since 0.4.0

## Property Details

### The `“album-id”` property

      “album-id”                 gchar *

The ID for the file's album. This is in the same form as returned by `gdata_picasaweb_album_get_id()`.

For more information, see the gphoto specification.

Flags: Read / Write

Default value: NULL

Since 0.4.0

### The `“caption”` property

      “caption”                  gchar *

The file's descriptive caption.

Flags: Read / Write

Default value: NULL

Since 0.4.0

### The `“checksum”` property

      “checksum”                 gchar *

A checksum of the file, useful for duplicate detection.

For more information, see the gphoto specification.

Flags: Read / Write

Default value: NULL

Since 0.4.0

### The `“comment-count”` property

      “comment-count”            guint

The number of comments on the file.

For more information, see the gphoto specification.

Flags: Read

Default value: 0

Since 0.4.0

### The `“credit”` property

      “credit”                   gchar *

The nickname of the user credited with this file.

For more information, see the Media RSS specification.

Flags: Read

Default value: NULL

Since 0.4.0

### The `“distance”` property

      “distance”                 gdouble

The distance to the subject reported in the image's EXIF.

For more information, see the EXIF element reference.

Flags: Read

Allowed values: >= -1

Default value: -1

Since 0.5.0

### The `“edited”` property

      “edited”                   gint64

The time this file was last edited. If the file has not been edited yet, the content indicates the time it was created.

For more information, see the Atom Publishing Protocol specification.

Flags: Read

Allowed values: >= -1

Default value: -1

Since 0.4.0

### The `“exposure”` property

      “exposure”                 gdouble

The exposure time.

For more information, see the EXIF element reference.

Flags: Read

Allowed values: >= 0

Default value: 0

Since 0.5.0

### The `“file-id”` property

      “file-id”                  gchar *

The ID of the file. This is a substring of the ID returned by `gdata_entry_get_id()` for GDataPicasaWebFiles; for example, if `gdata_entry_get_id()` returned "http://picasaweb.google.com/data/entry/user/libgdata.picasaweb/albumid/5328889949261497249/photoid/5328890138794566386" for a particular GDataPicasaWebFile, the “file-id” property would be "5328890138794566386".

For more information, see the gphoto specification.

Flags: Read / Write / Construct Only

Default value: NULL

Since 0.7.0

### The `“flash”` property

      “flash”                    gboolean

Indicates whether the flash was used.

For more information, see the EXIF element reference.

Flags: Read

Default value: FALSE

Since 0.5.0

### The `“focal-length”` property

      “focal-length”             gdouble

The focal length for the shot.

For more information, see the EXIF element reference.

Flags: Read

Allowed values: >= -1

Default value: -1

Since 0.5.0

### The `“fstop”` property

      “fstop”                    gdouble

The F-stop value.

For more information, see the EXIF element reference.

Flags: Read

Allowed values: >= 0

Default value: 0

Since 0.5.0

### The `“height”` property

      “height”                   guint

The height of the photo or video, in pixels.

For more information, see the gphoto specification.

Flags: Read

Default value: 0

Since 0.4.0

### The `“image-unique-id”` property

      “image-unique-id”          gchar *

An unique ID for the image found in the EXIF.

For more information, see the EXIF element reference.

Flags: Read

Default value: NULL

Since 0.5.0

### The `“is-commenting-enabled”` property

      “is-commenting-enabled”    gboolean

Whether commenting is enabled for this file.

Flags: Read / Write

Default value: TRUE

Since 0.4.0

### The `“iso”` property

      “iso”                      glong

The ISO speed.

For more information, see the EXIF element reference and ISO 5800:1987.

Flags: Read

Allowed values: >= -1

Default value: -1

Since 0.5.0

### The `“latitude”` property

      “latitude”                 gdouble

The location as a latitude coordinate associated with this file. Valid latitudes range from `-90.0` to `90.0` inclusive.

For more information, see the GeoRSS specification.

Flags: Read / Write

Allowed values: [-90,90]

Default value: 0

Since 0.5.0

### The `“longitude”` property

      “longitude”                gdouble

The location as a longitude coordinate associated with this file. Valid longitudes range from `-180.0` to `180.0` inclusive.

For more information, see the GeoRSS specification.

Flags: Read / Write

Allowed values: [-180,180]

Default value: 0

Since 0.5.0

### The `“make”` property

      “make”                     gchar *

The name of the manufacturer of the camera.

For more information, see the EXIF element reference.

Flags: Read

Default value: NULL

Since 0.5.0

### The `“model”` property

      “model”                    gchar *

The model of the camera.

For more information, see the EXIF element reference.

Flags: Read

Default value: NULL

Since 0.5.0

### The `“rotation”` property

      “rotation”                 guint

The rotation of the photo, in degrees. This will only be non-zero for files which are pending rotation, and haven't yet been permanently modified. For files which have already been rotated, this will be `0`.

For more information, see the gphoto specification.

Flags: Read / Write

Allowed values: <= 359

Default value: 0

Since 0.4.0

### The `“size”` property

      “size”                     gulong

The size of the file, in bytes.

For more information, see the gphoto specification.

Flags: Read

Since 0.4.0

### The `“tags”` property

      “tags”                     GStrv

A `NULL`-terminated array of tags associated with the file.

For more information, see the Media RSS specification.

Flags: Read / Write

Since 0.4.0

### The `“timestamp”` property

      “timestamp”                gint64

The time the file was purportedly taken. This a UNIX timestamp in milliseconds (not seconds) since the epoch.

For more information, see the gphoto specification.

Flags: Read / Write

Allowed values: >= -1

Default value: -1

Since 0.4.0

### The `“version”` property

      “version”                  gchar *

The version number of the file. Version numbers are based on modification time, so they don't increment linearly.

For more information, see the gphoto specification.

Flags: Read / Write / Construct Only

Default value: NULL

Since 0.4.0

### The `“video-status”` property

      “video-status”             gchar *

The status of the file, if it is a video. For example: `GDATA_PICASAWEB_VIDEO_STATUS_PENDING` or `GDATA_PICASAWEB_VIDEO_STATUS_FAILED`.

For more information, see the gphoto specification.

Flags: Read

Default value: NULL

Since 0.4.0

### The `“width”` property

      “width”                    guint

The width of the photo or video, in pixels.

For more information, see the gphoto specification.

Flags: Read

Default value: 0

Since 0.4.0